
Auto Multiple Choice - Bug # 267: settings dialog appears broken

Status: Closed Priority: Normal
Author: Pieter  Van den Hombergh Category: Graphical Interface
Created: 05/01/2014 Assignee: Alexis Bienvenüe
Updated: 08/19/2014 Due date:
Description: When I try to use the AMC-Prefreneces dialog, the Ok and cancel button do not react,

nor are any changes saved. Only (window) close button seems to work.

Installation on Ubuntu 14.04 from mercurial repo  
<pre>
parent: 1441:de31cb0c0255 tip
 Update obsolete VCS-* paths
branch: default
</pre>
I started from the commandline, which gives the following extra information:
<pre>

*** unhandled exception in callback:
***   Can't call method "set_sensitive" on an undefined value at /usr/lib/AMC/perl/AMC-gui.pl line 4391.
***  ignoring at /usr/lib/AMC/perl/AMC-gui.pl line 6867.
</pre>

History
05/01/2014 03:13 pm - Pieter  Van den Hombergh
The svn version (update says version 1522) has the same problem.
Might be a ubuntu 14.04 issue.

05/01/2014 03:14 pm - Pieter  Van den Hombergh
Problem is gone when installing libgtk2-notify-perl.
Maybe add to dependency list.

05/01/2014 03:47 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

The bug was only showing when @Gtk2::Notify@ was not available. This is corrected in commit:7cab3ef53a38.
However, since the desktop notifications are useful, I think we can consider adding the @libgtk2-notify-perl@ dependency.

08/19/2014 06:09 am - Anirvan Sarkar
- Target version set to 1.3.0

- Assignee set to Alexis Bienvenüe

- Category set to Graphical Interface
- Status changed from Resolved to Closed
